// CardGameEx7.java

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx7 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BUBE, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");
  private Hand hand;

  public CardGameEx7()
  {
    super(600, 600, 30);
    setStatusText("Click on a card ");
    hand = deck.dealingOut(0, 0, false)[0];  // Ordered
    StackLayout stackLayout = new StackLayout(new Location(300, 200));
    hand.setView(this, stackLayout);
    hand.draw();

    hand.addCardListener(new CardAdapter()
    {
      public void leftPressed(Card card)
      {
        Card top = hand.shift(true, true);  // Shift forward
        setStatusText("On top: " + top);
      }
    });
    hand.setTouchEnabled(true);
  }

  public static void main(String[] args)
  {
    new CardGameEx7();
  }
}
